summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorscruggsj <scruggsj@localhost>2006-03-07 22:38:05 +0000
committerscruggsj <scruggsj@localhost>2006-03-07 22:38:05 +0000
commitdf93072dff9c8ff5b920c05a96ef163f4f3448ec (patch)
treeb20b941e1df907b9e3d2381c5b2e02b69452b47a
parentChangelog: (diff)
downloadnx-df93072dff9c8ff5b920c05a96ef163f4f3448ec.tar.gz
nx-df93072dff9c8ff5b920c05a96ef163f4f3448ec.tar.bz2
nx-df93072dff9c8ff5b920c05a96ef163f4f3448ec.zip
Changelog:
* Reworked the ebuild to eliminate the need for nxcomp ebuild. * Added -fPIC and gcc4 patches svn path=/testing/; revision=12
-rw-r--r--net-misc/nxproxy/Manifest15
-rw-r--r--net-misc/nxproxy/files/1.5.0/nxcomp-gcc4.patch12
-rw-r--r--net-misc/nxproxy/files/1.5.0/nxcomp-pic.patch20
-rw-r--r--net-misc/nxproxy/files/digest-nxproxy-1.5.0-r16
-rw-r--r--net-misc/nxproxy/metadata.xml11
-rw-r--r--net-misc/nxproxy/nxproxy-1.5.0-r1.ebuild55
6 files changed, 119 insertions, 0 deletions
diff --git a/net-misc/nxproxy/Manifest b/net-misc/nxproxy/Manifest
new file mode 100644
index 0000000..234f85d
--- /dev/null
+++ b/net-misc/nxproxy/Manifest
@@ -0,0 +1,15 @@
+MD5 cf67a8d2074fa0a92afa2be056b537e2 files/1.5.0/nxcomp-gcc4.patch 315
+RMD160 04008ba3a33e2495dd449d77e780f9770f66d2bd files/1.5.0/nxcomp-gcc4.patch 315
+SHA256 45056ebfa8215290b777365e66b1e58398e8ab5a2c875a9610f78dd2db6b1d8e files/1.5.0/nxcomp-gcc4.patch 315
+MD5 3bd5746a479e0ebddad94ba11fe3899b files/1.5.0/nxcomp-pic.patch 522
+RMD160 2016856cb86605ca7ccb6b2c17a1c096c8e80cea files/1.5.0/nxcomp-pic.patch 522
+SHA256 d4fb814d5ee3bd13c39e535b731caab0acb9e552cea471c602c8ff9c8e6d535e files/1.5.0/nxcomp-pic.patch 522
+MD5 34f6b8539dff8eb6b84ac60908e91a07 files/digest-nxproxy-1.5.0-r1 491
+RMD160 964f0910bb8a7f581804235fd272eb15d6540308 files/digest-nxproxy-1.5.0-r1 491
+SHA256 e950bfc8902007cc7563bd32d706e67bdef696015789a537822aab348c1b108b files/digest-nxproxy-1.5.0-r1 491
+MD5 a50ecb98a1a261895a4d34af6cda6b3c metadata.xml 369
+RMD160 a64401132b2522d92d58e4dda7892d8326d93518 metadata.xml 369
+SHA256 493291ed425995a1c822fd31d044487aec491b2a1cedaa2a4d7f5142cd8ed0cc metadata.xml 369
+MD5 c2d7eefb638ae797d5782f0d272387dc nxproxy-1.5.0-r1.ebuild 1199
+RMD160 d90b138d58c8f778e02417ec67566aebede010e9 nxproxy-1.5.0-r1.ebuild 1199
+SHA256 b4a5bf28b67abe7bab919d6155073fa6cc5e80046bddeb476aa0cdb2ebc2914c nxproxy-1.5.0-r1.ebuild 1199
diff --git a/net-misc/nxproxy/files/1.5.0/nxcomp-gcc4.patch b/net-misc/nxproxy/files/1.5.0/nxcomp-gcc4.patch
new file mode 100644
index 0000000..96da042
--- /dev/null
+++ b/net-misc/nxproxy/files/1.5.0/nxcomp-gcc4.patch
@@ -0,0 +1,12 @@
+--- nxcomp/RenderExtension.h.orig 2005-02-19 18:23:32.000000000 +0000
++++ nxcomp/RenderExtension.h 2005-08-27 23:16:05.000000000 +0100
+@@ -68,6 +68,8 @@
+ // The message class.
+ //
+
++class RenderMinorExtensionStore;
++
+ class RenderExtensionMessage : public Message
+ {
+ friend class RenderExtensionStore;
+
diff --git a/net-misc/nxproxy/files/1.5.0/nxcomp-pic.patch b/net-misc/nxproxy/files/1.5.0/nxcomp-pic.patch
new file mode 100644
index 0000000..2ccaf97
--- /dev/null
+++ b/net-misc/nxproxy/files/1.5.0/nxcomp-pic.patch
@@ -0,0 +1,20 @@
+--- nxcomp/Makefile.in.agriffis 2005-11-12 12:48:42.000000000 -0500
++++ nxcomp/Makefile.in 2005-12-15 12:24:46.000000000 -0500
+@@ -32,7 +32,7 @@
+
+ CXX = @CXX@
+ CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CXXINCLUDES =
+ CXXDEFINES =
+
+@@ -42,7 +42,7 @@
+
+ CC = @CC@
+ CCFLAGS = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CCINCLUDES =
+ CCDEFINES =
+
diff --git a/net-misc/nxproxy/files/digest-nxproxy-1.5.0-r1 b/net-misc/nxproxy/files/digest-nxproxy-1.5.0-r1
new file mode 100644
index 0000000..98ae60e
--- /dev/null
+++ b/net-misc/nxproxy/files/digest-nxproxy-1.5.0-r1
@@ -0,0 +1,6 @@
+MD5 782f04870142c9fc5b2e1f654fd0a5d7 nxcomp-1.5.0-80.tar.gz 525688
+RMD160 7a367ef235c50c143b4a25cd78aedd9fe83c8772 nxcomp-1.5.0-80.tar.gz 525688
+SHA256 2a93eb6c32436028b11b8b5ef5be58a7138bc14cefb68e74b96cc7049f5a0367 nxcomp-1.5.0-80.tar.gz 525688
+MD5 d2e3c1a109db336dfa497f4c2004f2d5 nxproxy-1.5.0-9.tar.gz 73470
+RMD160 e6104a85893b28453b3e4f96cfa7b1c193dca6b6 nxproxy-1.5.0-9.tar.gz 73470
+SHA256 33227370c90cdb5e65824001255f4df5a20eecff19f75483df21bf55ab888d4a nxproxy-1.5.0-9.tar.gz 73470
diff --git a/net-misc/nxproxy/metadata.xml b/net-misc/nxproxy/metadata.xml
new file mode 100644
index 0000000..7fae296
--- /dev/null
+++ b/net-misc/nxproxy/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>stuart@gentoo.org</email>
+ <name>Stuart Herbert</name>
+ <description>Maintainer</description>
+</maintainer>
+<longdescription>X11 protocol compression library wrapper</longdescription>
+</pkgmetadata>
diff --git a/net-misc/nxproxy/nxproxy-1.5.0-r1.ebuild b/net-misc/nxproxy/nxproxy-1.5.0-r1.ebuild
new file mode 100644
index 0000000..7f88613
--- /dev/null
+++ b/net-misc/nxproxy/nxproxy-1.5.0-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/nxproxy/nxproxy-1.4.0-r2.ebuild,v 1.3 2005/05/23 18:41:11 stuart Exp $
+
+inherit eutils
+
+DESCRIPTION="X11 protocol compression library wrapper"
+HOMEPAGE="http://www.nomachine.com/"
+
+IUSE=""
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc"
+
+SRC_NXPROXY="nxproxy-$PV-9.tar.gz"
+SRC_NXCOMP="nxcomp-$PV-80.tar.gz"
+URI_BASE="http://64.34.161.181/download/1.5.0/sources"
+SRC_URI="$URI_BASE/$SRC_NXPROXY
+ $URI_BASE/$SRC_NXCOMP"
+
+DEPEND="=net-misc/nx-x11-1.5*
+ sys-devel/patch
+ >=media-libs/jpeg-6b-r3
+ >=sys-libs/glibc-2.3.2-r1
+ >=sys-libs/zlib-1.1.4-r1"
+
+S=${WORKDIR}/${PN}
+
+src_unpack() {
+ unpack ${SRC_NXPROXY}
+ unpack ${SRC_NXCOMP}
+
+ cd "${S}/../nxcomp"
+
+ epatch ${FILESDIR}/1.5.0/nxcomp-pic.patch
+ epatch ${FILESDIR}/1.5.0/nxcomp-gcc4.patch
+}
+
+src_compile() {
+
+ cd ../nxcomp
+ econf --prefix="/usr/NX/" || die "Unable to configure nxcomp"
+ emake || die "Unable to build nxcomp"
+
+ cd ../nxproxy
+ ./configure
+
+ emake || die "compile problem"
+}
+
+src_install() {
+ into /usr/NX
+ dobin nxproxy
+ dodoc README README-IPAQ README-VALGRIND VERSION LICENSE
+}